Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Niekończąca się aktualizacja  (Przeczytany 539 razy)

Offline satyr3

  • Newbie
  • *
  • Wiadomości: 14
  • Deus propitius esto mihi peccatori
Niekończąca się aktualizacja
« dnia: Lipiec 30, 2017, 02:41:05 am »
Witam. od dobrych 7 godzin aktualizuje sparky 4.4 i nie było by problemu gdyby nie fakt że przy każdej paczce muszę wciskać enter a sparky pobrał prawie 900 MB archiwów i zainstaluje 159 MB. Jest to na tyle frustrujące, że zastanawiam się nad zmianą na Manjaro 17 XFCE. Nie ma jakiegoś sposobu  żeby nie trzeba było non-stop siedzieć i wciskać enter przy każdej paczce danych? Mam starego lapa 2 GB RAM DDR2 2 Core Duo. Czy jeśli wyjdę z instalacji kolejnej paczki i jutro wznowie to czy zabawa nie zacznie się od nowa?
Pozdrawiam
Jesu, in Te confido

Offline lesio

  • Sr. Member
  • ****
  • Wiadomości: 467
Odp: Niekończąca się aktualizacja
« Odpowiedź #1 dnia: Lipiec 30, 2017, 08:19:18 am »
Niestety, wygląda na to, że chciałeś długo aktualizować i udało Ci się to osiągnąć :-))). Sparkylinux jest zasadniczo dystrybucją rolling-release, czyli niezależnie od wersji instalowanej po aktualizacji otrzymujemy wersję bieżącą. Problem w tym, że po wersji 4.4 ukazała się wersja 4.5 i 5 (wersja 4.6 nie jest dystrybucją rolling-release). W związku z tym ilość pakietów do przetworzenia przez wersję 4.4 jest bardzo duża. Niektóre pakiety dokonują zmian w konfiguracji i po prostu muszą zapytać, jakie rozwiązanie konfliktu preferuje użytkownik. Co spowodowało, że postanowiłeś zainstalować wersję 4.4 zamiast 5?

Offline satyr3

  • Newbie
  • *
  • Wiadomości: 14
  • Deus propitius esto mihi peccatori
Odp: Niekończąca się aktualizacja
« Odpowiedź #2 dnia: Lipiec 30, 2017, 12:35:12 pm »
Dziękuję za odpowiedź. Wersja 4 jest opisana jako stabilna dlatego na nią się zdecydowałem. Jak rozumiem polecasz zainstalować od nowa sparky 5. Na komputerze stacjonarnym mam Zorin OS 9 64 bit  i dlatego zastanawiałem się nad Zorinem lite 32 bit ale nie ma on środowiska XFCE
Jesu, in Te confido

Offline satyr3

  • Newbie
  • *
  • Wiadomości: 14
  • Deus propitius esto mihi peccatori
Odp: Niekończąca się aktualizacja
« Odpowiedź #3 dnia: Lipiec 30, 2017, 01:16:11 pm »
Własnie wyczytałem coś takiego apropos Zorin OS 12:

"Zorin OS 12 Lite Beta ditches LXDE for the Xfce desktop environment"

The biggest change that users will notice after installing the Zorin OS 12 Lite Beta operating system is that it uses the lightweight Xfce desktop environment by default instead of LXDE, which was used in previous releases of the distribution. This allows Zorin OS devs to create a user-friendly, consistent, customizable, intuitive, beautiful, versatile and more extensible experience for Zorin OS Lite.
Jesu, in Te confido

Offline lesio

  • Sr. Member
  • ****
  • Wiadomości: 467
Odp: Niekończąca się aktualizacja
« Odpowiedź #4 dnia: Lipiec 30, 2017, 01:43:29 pm »
Niestety, doświadczeń z Zorinem nie mam. Sparkylinux oparty na Debianie stabilnym to wersja 4.6 STB. Pozostałe (4.4, 4.5, 5) oparte są na Debianie testowym i jako takie niejako "z definicji" nie mogą być uważane za stabilne, chociaż niespodzianki zdarzają się raczej rzadko, 1-2 razy w roku. Jeśli chodzi Ci o aktualne pakiety, to wybierz wersję 5 (4.4 i 4.5 doprowadzi do tego samego stanu końcowego po aktualizacji, ale, jak wiesz, długo to trwa).
Jeśli cenisz "święty spokój", to wybierz raczej 4.6 STB (czyli Debian 9).

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1588
Odp: Niekończąca się aktualizacja
« Odpowiedź #5 dnia: Lipiec 30, 2017, 02:28:38 pm »
Witaj
Sparky 4.4 oparty był na Debianie z gałęzi testowej, więc aktualizacja będzie bardzo duża. Poza tym, wciąż aktualizaujesz do wersji testowej (rolling).

Aby zaktualizowac Sparky 4.x do wersji stabilnej, powinieneś w pierwszej kolejności zapoznać się z instrukcją aktualizacji do stable:
https://linuxiarze.pl/jak-przeksztalcic-sparkylinux-testing-na-stable/

Alternatywnym (szybszym/bezpieczniejszym) rozwiązaniem jest instalacja Spaky 4.6/4.6.1 STB, który jest domyślnie  skonfigurowany do działania na Debianie stabilnym "Stretch":
https://linuxiarze.pl/sparky-4-6-stb/
https://linuxiarze.pl/sparky-4-6-1-stb/
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline satyr3

  • Newbie
  • *
  • Wiadomości: 14
  • Deus propitius esto mihi peccatori
Odp: Niekończąca się aktualizacja
« Odpowiedź #6 dnia: Sierpień 04, 2017, 05:40:00 pm »
Dziękuje Wszystkim za pomoc i szybką odpowiedz. Postanowiłem wypalić i zainstalować stabilną wersję Sparkylinux 4.6.1 STB. Wszystko chodzi prawidłowo. Temat można zamknąć. Mam inne pytanie bardziej ogólne ale zacznę je w innym wątku

Pozdrawiam
« Ostatnia zmiana: Sierpień 12, 2017, 01:25:50 am wysłana przez satyr3 »
Jesu, in Te confido